<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <meta name="description" content="ERP" />
    <meta name="keywords" content="ERP" />
    <meta name="author" content="ERP" />
    <meta name="robots" content="noindex, nofollow" />
    <title>ERP</title>
    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />
    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />
    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />
    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />
    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />
    <!-- Calendar CSS -->
    <link rel="stylesheet" href="assets/css/fullcalendar.min.css" />
    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />
    <link rel="stylesheet" href="assets/css/vendor.css" />
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->
      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->
      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Calendar</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Calendar</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client">
                    <div class="circle-container">
                      <div class="circle-div">+</div>
                    </div>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->
          <div class="row">
            <div class="col-lg-12">
              <div class="card mb-0">
                <div class="card-body">
                  <div class="row">
                    <div class="col-md-12">
                      <!-- Calendar -->
                      <div id="calendarv2"></div>
                      <!-- /Calendar -->
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Wrapper -->
      </div>
      <!-- /Main Wrapper -->

      <div id="add_client" class="modal custom-modal fade" role="dialog">
        <div
          class="modal-dialog modal-dialog-centered modal-lg"
          role="document"
        >
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Add Orders</h5>
              <button
                type="button"
                class="close"
                data-dismiss="modal"
                aria-label="Close"
              >
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form method="POST" id="addForm">
                <div class="row">
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Estimate No <span class="text-danger">*</span></label
                      >
                      <select class="select floating" name="estimateid">
                        <option>Select Estimate</option>
                      </select>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Event Name <span class="text-danger">*</span></label
                      >
                      <input
                        class="form-control"
                        type="text"
                        name="eventName"
                      />
                    </div>
                  </div>

                  <div class="col-md-12">
                    <div class="row">
                      <div class="col-md-12 col-sm-12">
                        <div class="table-responsive">
                          <table
                            id="GRNTable1"
                            class="table table-hover table-white"
                          >
                            <thead>
                              <tr>
                                <th class="col-md-5">Services</th>
                                <th class="col-md-5">Specifications</th>
                                <th>Amount</th>
                                <th></th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr>
                                <td>
                                  <input
                                    class="form-control"
                                    type="text"
                                    style="min-width: 150px"
                                    id="col1"
                                  />
                                </td>
                                <td>
                                  <input
                                    class="form-control"
                                    type="text"
                                    style="min-width: 150px"
                                    id="col2"
                                  />
                                </td>
                                <td>
                                  <input
                                    class="form-control amount"
                                    style="width: 100px"
                                    type="text"
                                    id="col3"
                                  />
                                </td>

                                <td style="padding-top: 20px">
                                  <a
                                    href="javascript:void(0)"
                                    class="text-success font-18"
                                    title="Add"
                                    onclick="insRow()"
                                    ><i class="fa fa-plus"></i></a
                                  >&nbsp;&nbsp;<a
                                    href="javascript:void(0)"
                                    class="text-danger font-18"
                                    title="Remove"
                                    onclick="deleteRow(this)"
                                    ><i class="fa fa-trash-o"></i
                                  ></a>
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </div>
                        <div class="table-responsive">
                          <table class="table table-hover table-white">
                            <tbody>
                              <tr>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td class="text-right">Total</td>
                                <td
                                  style="
                                    text-align: right;
                                    padding-right: 30px;
                                    width: 230px;
                                  "
                                >
                                  <input
                                    class="form-control text-right"
                                    readonly
                                    type="text"
                                    id="total"
                                  />
                                </td>
                              </tr>
                              <tr>
                                <td colspan="5" class="text-right">
                                  Discount %
                                </td>
                                <td
                                  style="
                                    text-align: right;
                                    padding-right: 30px;
                                    width: 230px;
                                  "
                                >
                                  <input
                                    class="form-control discount text-right"
                                    type="text"
                                    id="discount"
                                  />
                                </td>
                              </tr>
                              <tr>
                                <td
                                  colspan="5"
                                  style="text-align: right; font-weight: bold"
                                >
                                  Grand Total
                                </td>
                                <td
                                  style="
                                    text-align: right;
                                    padding-right: 30px;
                                    font-weight: bold;
                                    font-size: 16px;
                                    width: 230px;
                                  "
                                >
                                  <input
                                    class="form-control text-right"
                                    readonly
                                    type="text"
                                    id="grandtotal"
                                  />
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </div>

                        <div class="col-md-12">
                          <div class="form-group">
                            <label>Notes</label>
                            <textarea
                              class="form-control"
                              rows="4"
                              name="notes"
                            ></textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="submit-section">
                  <button class="btn btn-primary submit-btn">Submit</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>

      <!-- Event Modal -->
      <div class="modal custom-modal fade" id="event-modal">
        <div class="modal-dialog modal-dialog-centered" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Event</h5>
              <button
                type="button"
                class="close"
                data-dismiss="modal"
                aria-label="Close"
              >
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body"></div>
            <div class="modal-footer text-center">
              <button
                type="button"
                class="btn btn-success submit-btn save-event"
              >
                Create event
              </button>
              <button
                type="button"
                class="btn btn-danger submit-btn delete-event"
                data-dismiss="modal"
              >
                Delete
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- /Event Modal -->
      <!-- jQuery -->
      <script src="assets/js/jquery-3.5.1.min.js"></script>
      <!-- Bootstrap Core JS -->
      <script src="assets/js/popper.min.js"></script>
      <script src="assets/js/bootstrap.min.js"></script>
      <!-- Slimscroll JS -->
      <script src="assets/js/jquery.slimscroll.min.js"></script>
      <!-- Slimscroll JS -->
      <script src="assets/js/select2.min.js"></script>
      <!-- Datetimepicker JS -->
      <script src="assets/js/moment.min.js"></script>
      <script src="assets/js/bootstrap-datetimepicker.min.js"></script>
      <!-- Custom JS -->
      <script src="assets/js/app.js"></script>
      <script src="assets/js/fullcalendar.min.js"></script>
      <script src="assets/js/jquery.fullcalendar.js"></script>
      <script>
        $(document).ready(async function () {
          var orderData = "";
          var actionType = "addorders";
          var orderId = "";

          $.ajax({
            type: "GET",
            url:
              "https://thephogoapp.xyz/App/api.php?gofor=orderslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              console.log(data);
              orderData = data;
			  populateEstimateId();
              // var dates = [{title  : 'event1',start  : '2023-11-11'},{title  : 'event2',start  : '2010-07-18'}];

              var dates = data.map((v) => {
                v["title"] = v.ordevent_name;
                v["start"] = v.event_date || v.shoot_date;
                return v;
              });
              $("#calendarv2").fullCalendar({
                height: 450,
                defaultView: "month",
                events: dates.filter((v) => v.start),
              });
            },
          });
          $("#addForm").submit(function (e) {
            e.preventDefault();
            var postData = {
              gofor: "addorders",
              user_id: "1",
              estimate_id: $('[name="estimateid"]').val(),
              ordevent_name: $('[name="eventName"]').val(),
              amount_payable: $("#total").val(),
              discount: $("#discount").val(),
              final_amount: $("#grandtotal").val(),
              notes: $('[name="notes"]').val(),
              status: "1",
              order_details: [],
            };

            $("#GRNTable1 tbody tr").map(function () {
              var $row = $(this);
              postData.order_details.push({
                service: $row.find("td").eq(0).find("input").val(),
                specifications: $row.find("td").eq(1).find("input").val(),
                amount: $row.find("td").eq(2).find("input").val(),
              });
            });
            addOrders(postData);
          });

          function addOrders(postData) {
            $.ajax({
              type: "POST",
              url: "https://thephogoapp.xyz/App/api.php",
              contentType: "application/json",
              cache: false,
              data: JSON.stringify(postData),
              success: function (data) {
                console.log(data);
                window.location.reload();
              },
              error: function (e) {
                console.log(e);
              },
            });
          }

          function populateEstimateId() {
            $.ajax({
              type: "GET",
              url:
                "https://thephogoapp.xyz/App/api.php?gofor=estimateslist&user_id=" +
                sessionStorage.getItem("user_id"),
              success: function (data) {
                var $dropdown = $('[name="estimateid"]');
                var idtoIgnore = orderData.map((v) => v.estimate_id);
                $.each(data, function () {
                  if (!idtoIgnore.includes(this.estimate_id)) {
                    $dropdown.append(
                      "<option value='" +
                        this.estimate_id +
                        "'>" +
                        this.estimate_id +
                        "</option>"
                    );
                  }
                });
              },
              error: function (e) {
                console.log(e);
              },
            });
          }

          function calc_sum() {
            var total = 0;
            var grandTotal = 0;
            var discount = 0;
            $("#GRNTable1 > tbody > tr").each(function () {
              var $row = $(this);
              total += Number($row.find("td").eq(2).find("input").val());
            });
            discount = Number($("#discount").val());
            var val = total - (total * discount) / 100;
            $("#total").val(total);
            $("#grandtotal").val(val);
          }

          $(document).on("change", ".amount", function () {
            calc_sum();
          });

          $(document).on("change", ".discount", function (val) {
            calc_sum();
          });
        });
      </script>
      <?php include "common-script.php";?>
    </div>
  </body>
</html>
