<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <meta name="description" content="Smarthr - Bootstrap Admin Template" />
    <meta
      name="keywords"
      content="admin, estimates, bootstrap, business, corporate, creative, management, minimal, modern, accounts, invoice, html5, responsive, CRM, Projects"
    />
    <meta name="author" content="Dreamguys - Bootstrap Admin Template" />
    <meta name="robots" content="noindex, nofollow" />
    <title>ERP</title>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />
    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />
    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />
    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />
    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Contacts</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Contacts</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="quick-stats" style="left: -170px !important">
                  <button
                    class="btn btn-danger"
                    data-toggle="modal"
                    data-target="#bulk_upload"
                  >
                    Bulk Upload</button
                  >&nbsp;&nbsp;
                  <a href="download_format/leads.csv" download
                    ><button class="special-box-btn">
                      <i class="ti-download"></i></button
                  ></a>
                </div>
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>

          <!-- /Page Header -->
          <div class="row text-center mb-4">
            <div class="col-sm-12 col-md-12">
              <a href="#" class="btn btn-white btn-md">Baby - Salem</a>
              <a href="#" class="btn btn-danger btn-md">Wedding</a>
              <a href="#" class="btn btn-white btn-md">Baby - Erode</a>
            </div>
          </div>

          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <table
                  class="table table-striped table-nowrap custom-table mb-0"
                >
                  <thead>
                    <tr>
                      <th>#</th>
                      <th>Name</th>
                      <th>Mobile</th>
                      <th>Event Type</th>
                      <th>Event Date</th>
                      <th>Status</th>
                      <th>Next Followup</th>
                      <th class="text-right">Actions</th>
                    </tr>
                  </thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->
    <!--
		<div id="mybutton">
			<a href="add-category.php" style="width:50px;height:50px;"><button class="add-btn btn-hover"><span class="fclr" onmouseover="this.style.color = '#E5E5E5'"; onmouseout="this.style.color = '#fff'";>+</span></button></a>
		</div>
-->
    <div id="bulk_upload" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Bulk Upload</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="addUpload">
              <div class="row">
                <div class="col-md-12">
                  <label class="col-form-label">Upload Files</label>
                  <input class="form-control" type="file" name="bulk_upload" />
                </div>
                <div class="col-md-12">
                  <div class="submit-section" style="text-align: left">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- Add Client Modal -->
    <div id="add_client" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add Leads</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="addForm">
              <div class="row">
                <div class="col-md-6 csource">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Source <span class="text-danger">*</span></label
                    >
                    <select class="form-control" id="source" name="source">
                      <option>Select Source</option>
                      <option value="Calls">Calls</option>
                      <option value="Referral">Referral</option>
                      <option value="Social Media">Social Media</option>
                      <option value="Website">Website</option>
                      <option value="Walk-in">Walk-in</option>
                      <option value="BNI">BNI</option>
                      <option value="JCI">JCI</option>
                      <option value="Others">Others</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-6 d-none" id="rname">
                  <div class="form-group">
                    <label class="col-form-label">Referrer Name</label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="referrer_name"
                    />
                  </div>
                </div>

                <div class="col-md-6 d-none" id="rnumber">
                  <div class="form-group">
                    <label class="col-form-label">Referrer Number</label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="referrer_number"
                    />
                  </div>
                </div>

                <div class="col-md-6 category_div" id="category_div">
                  <label class="col-form-label"
                    >Subcategory<span class="text-danger">*</span></label
                  >
                  <select
                    class="form-control"
                    id="subcategory"
                    name="subcategory"
                    onchange="javascript: dynamicdropdown(this.options[this.selectedIndex].value);"
                  >
                    <option value="">Choose</option>
                    <option value="Wedding">Wedding</option>
                    <option value="Events">Events</option>
                    <option value="Corporate">Corporate</option>
                    <option value="Shoot">Shoot</option>
                  </select>
                </div>
                <div class="col-md-6 sub_category_div" id="sub_category_div">
                  <label class="col-form-label"
                    >Type of Shoot<span class="text-danger">*</span></label
                  >
                  <script type="text/javascript" language="JavaScript">
                    document.write(
                      '<select class="form-control" name="shoot_type" id="shoot_type"><option value="">Choose</option></select>'
                    );
                  </script>
                  <noscript>
                    <select
                      class="form-control"
                      id="shoot_type"
                      name="shoot_type"
                    >
                      <option value="">Choose</option>
                      <option value="Wedding(Full)">Wedding(Full)</option>
                      <option value="Wedding(Half)">Wedding(Half)</option>
                      <option value="Reception">Reception</option>
                      <option value="Engagement">Engagement</option>
                      <option value="Babyshower">Babyshower</option>
                      <option value="Birthday">Birthday</option>
                      <option value="Puberty">Puberty</option>
                      <option value="Housewarming">Housewarming</option>
                      <option value="Ear Piercing">Ear Piercing</option>
                      <option value="Opening Ceremony">Opening Ceremony</option>
                      <option value="Others">Others</option>
                    </select>
                  </noscript>
                </div>

                <div class="col-md-6 cname">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Client Name <span class="text-danger">*</span></label
                    >
                    <input class="form-control" type="text" name="name" />
                  </div>
                </div>
                <div class="col-md-6 cmobile">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Mobile No<span class="text-danger">*</span></label
                    >
                    <input class="form-control" type="text" name="mobileno" />
                  </div>
                </div>
                <div class="col-md-6 ccontact">
                  <div class="form-group">
                    <label class="col-form-label">Contact Saved as</label>
                    <input
                      class="form-control"
                      type="text"
                      name="contact_saved"
                    />
                  </div>
                </div>

                <div class="col-md-6 cevent_date">
                  <div class="form-group">
                    <label class="col-form-label">Event Date</label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="event_date"
                    />
                  </div>
                </div>
                <div class="col-md-6 cevent_venue">
                  <div class="form-group">
                    <label class="col-form-label">Event Venue </label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="location"
                    />
                  </div>
                </div>
                <div class="col-md-6 cdob" style="display: none">
                  <div class="form-group">
                    <label class="col-form-label">Date of Birth</label>
                    <div class="cal-icon">
                      <input
                        class="form-control floating datetimepicker"
                        type="text"
                        name="dob"
                      />
                    </div>
                  </div>
                </div>
                <div class="col-md-6 cage" style="display: none">
                  <div class="form-group">
                    <label class="col-form-label">Age </label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="age"
                    />
                  </div>
                </div>

                <div class="col-md-6 csource">
                  <div class="form-group">
                    <label class="col-form-label">Lead Status </label>
                    <select
                      class="form-control"
                      id="lead_status"
                      name="lead_status"
                    >
                      <option>Select Lead Status</option>
                      <option value="Success">Success</option>
                      <option value="Failure">Failure</option>
                      <option value="No Response">No response</option>
                      <option value="Discussion">Discussion</option>
                    </select>
                  </div>
                </div>
                <div class="col-sm-6 cnext_followup">
                  <div class="form-group">
                    <label>Next Followup Date</label>
                    <div class="cal-icon">
                      <input
                        class="form-control datetimepicker"
                        type="text"
                        name="next_followup"
                      />
                    </div>
                  </div>
                </div>

                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label">Remarks </label>
                    <textarea
                      class="form-control floating"
                      name="remarks"
                    ></textarea>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Active Status <span class="text-danger">*</span></label
                    >
                    <select class="form-control" id="status" name="status">
                      <option>Select Status</option>
                      <option value="1">Active</option>
                      <option value="0">Inactive</option>
                    </select>
                  </div>
                </div>
              </div>

              <div class="submit-section">
                <button class="btn btn-primary submit-btn">Submit</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- /Add Client Modal -->
    
    <!-- Toast -->
    <div class="toast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="2000" style="position: absolute; top: 5rem; right: 1rem;">
      <div>
        <strong class="mr-auto toast-header"></strong>
        <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="toast-body"></div>
    </div>
    <!-- /Toast -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>
    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>
    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>
    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script language="javascript" type="text/javascript">
      function dynamicdropdown(listindex) {
        document.getElementById("shoot_type").options.length = 0;
        switch (listindex) {
          case "Wedding":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Wedding(Full)",
              "Wedding(Full)"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "Wedding(Half)",
              "Wedding(Half)"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Reception",
              "Reception"
            );
            document.getElementById("shoot_type").options[4] = new Option(
              "Engagement",
              "Engagement"
            );
            document.getElementById("shoot_type").options[5] = new Option(
              "Babyshower",
              "Babyshower"
            );
            document.getElementById("shoot_type").options[6] = new Option(
              "Birthday",
              "Birthday"
            );
            document.getElementById("shoot_type").options[7] = new Option(
              "Puberty",
              "Puberty"
            );
            document.getElementById("shoot_type").options[8] = new Option(
              "Housewarming",
              "Housewarming"
            );
            document.getElementById("shoot_type").options[9] = new Option(
              "Ear Piercing",
              "Ear Piercing"
            );
            document.getElementById("shoot_type").options[10] = new Option(
              "Opening Ceremony",
              "Opening Ceremony"
            );
            document.getElementById("shoot_type").options[11] = new Option(
              "Others",
              "Others"
            );

            $(".cevent_date").show();
            $(".cevent_venue").show();

            $(".cdob").hide();
            $(".cage").hide();
            break;
          case "Events":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Baby",
              "Baby"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "Maternity",
              "Maternity"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Familyshoot",
              "Familyshoot"
            );
            document.getElementById("shoot_type").options[4] = new Option(
              "Others",
              "Others"
            );

            $(".cevent_date").hide();
            $(".cevent_venue").hide();

            $(".cdob").show();
            $(".cage").show();
            break;
          case "Shoot":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Model",
              "Model"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "PreWedding",
              "PreWedding"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Familyshoot",
              "Familyshoot"
            );
            document.getElementById("shoot_type").options[4] = new Option(
              "Product",
              "Product"
            );

            $(".cevent_date").hide();
            $(".cevent_venue").hide();

            $(".cdob").show();
            $(".cage").show();
            break;    
          case "Corporate":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Company Anniversary",
              "Company Anniversary"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "Annual Day",
              "Annual Day"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Team Outing",
              "Team Outing"
            );

            $(".cevent_date").hide();
            $(".cevent_venue").hide();

            $(".cdob").show();
            $(".cage").show();
            break;
        }
        return true;
      }
    </script>

    <script>
      var leadData = "";
      var actionType = "addleads";
      var leadId = "";
      $(document).ready(function () {
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://thephogoapp.xyz/App/api.php?gofor=leadslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            leadData = data;
            $.each(data, function (a, b) {
              let spanData = "";
              if (b.lead_status === "Discussion") {
                spanData =
                  '<span class="badge bg-inverse-primary">Discussion</span>';
              }
              if (b.lead_status === "Success") {
                spanData =
                  '<span class="badge bg-inverse-success">Success</span>';
              }
              if (b.lead_status === "Failure") {
                spanData =
                  '<span class="badge bg-inverse-danger">Failure</span>';
              }
              if (b.lead_status === "No Response") {
                spanData =
                  '<span class="badge bg-inverse-warning">No Response</span>';
              }

              table.append(
                "<tr><td>" +
                  b.lead_id +
                  "</td>" +
                  "<td>" +
                  b.name +
                  "</td>" +
                  "<td>" +
                  b.mobileno +
                  "</td>" +
                  "<td>" +
                  b.shoot_type +
                  "</td>" +
                  "<td>" +
                  b.event_date +
                  "</td>" +
                  "<td>" +
                  spanData +
                  "</td>" +
                  "<td>" +
                  b.next_followup +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-lead-id="' +
                  b.lead_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-lead-id="' +
                  b.lead_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span><span class="text-primary convert_user" data-lead-id="' +
                  b.lead_id +
                  '"><i class="ti-new-window fa-lg m-r-5"></i></span></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(".edit_user").click((e) => {
                  actionType = "editleads";
                  leadId = e.target.parentElement.getAttribute("data-lead-id");
                  var selectedLeadData = leadData.find(
                    (l) => l.lead_id === leadId.toString()
                  );
                  var entries = Object.entries(selectedLeadData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "lead_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);

                      // set sub catergory dependent dropdowns
                      if (key === "subcategory") {
                        dynamicdropdown(value);
                      }

                      // set source dependent dropdowns
                      if (key === "source") {
                        if (value === "Referral") {
                          $("#rname").removeClass("d-none");
                          $("#rnumber").removeClass("d-none");
                        } else {
                          $("#rname").addClass("d-none");
                          $("#rnumber").addClass("d-none");
                        }
                      }
                    }
                  }
                  $("#add_client").modal("show");
                });
                
                $('.delete_user').click((e) => {
                    const lId = e.target.parentElement.getAttribute("data-lead-id");
                    $.ajax({
                        type: "GET",
                        url: "https://thephogoapp.xyz/App/api.php?gofor=leadsdelete&lead_id="+lId,
                        success: function (data) {
                            window.location.reload();
                            setTimeout(() => {
                                showNotification('Deleted Successfully')
                            }, 2000)
                        },
                    });
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
        $("#source").change((v) => {
          if (v.target.value === "Referral") {
            $("#rname").removeClass("d-none");
            $("#rnumber").removeClass("d-none");
          } else {
            $("#rname").addClass("d-none");
            $("#rnumber").addClass("d-none");
          }
        });

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          if (actionType === "editleads") {
            data.append("lead_id", leadId);
          }
          var jsonData = JSON.stringify(Object.fromEntries(data));

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://thephogoapp.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
                setTimeout(() => {
                    showNotification('Added Successfully')
                }, 2000)
            },
          });
        });

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
