<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <meta name="description" content="ERP" />
    <meta name="keywords" content="ERP" />
    <meta name="author" content="ERP" />
    <meta name="robots" content="noindex, nofollow" />
    <title>ERP</title>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Patients</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Patients</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <!-- <div class="quick-stats">
                  <button class="special-box-btn">
                    <i class="ti-stats-up"></i>
                  </button>
                </div> -->
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

        
          <div class="row mt-3">
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-nowrap custom-table mb-0">
                  <thead>
                    <tr>
                      <th>#</th>
                      <th>Patient ID</th>
                      <th>Patient Name</th>
                      <th>Age</th>
                      <th>Mobile</th>
                      <th>Email</th>

                      <th class="text-right">Action</th>
                    </tr>
                  </thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Add User Modal -->
        <div id="add_client" class="modal custom-modal fade" role="dialog">
          <div
            class="modal-dialog modal-dialog-centered modal-lg"
            role="document"
          >
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title text-right">Add Patients</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <i class="ti-close"></i>
                </button>
              </div>
              <div class="modal-body">
                <form id="addForm">
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Patient Name <span class="text-danger">*</span></label
                        >
                        <input
                          class="form-control"
                          type="text"
                          id="name"
                          name="name"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Mobile No</label>
                        <input
                          class="form-control"
                          type="text"
                          id="mobileno"
                          name="mobileno"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Email Address</label>
                        <input
                          class="form-control"
                          type="email"
                          id="email"
                          name="email"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Date Of Birth </label>
                        <input
                          class="form-control"
                          type="date"
                          id="company"
                          name="company"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Age</label>
                        <input
                          class="form-control"
                          type="Age"
                          id="Age"
                          name="Age"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Gender <span class="text-danger">*</span></label
                        >
                        <select
                          class="form-control"
                          id="vendor_type"
                          name="vendor_type"
                        >
                          <option>Select </option>
                          <option>Male</option>
                          <option>Female</option>
                         
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Address <span class="text-danger">*</span></label
                        >
                        <textarea
                          class="form-control floating"
                          id="address"
                          name="address"
                        ></textarea>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Pincode</label>
                        <input
                          class="form-control"
                          type="text"
                          id="sec_mobileno"
                          name="sec_mobileno"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Assigned Doctor <span class="text-danger">*</span></label
                        >
                        <select
                          class="form-control"
                          id="vendor_type"
                          name="vendor_type"
                        >
                          <option>Select </option>
                          <option>Milton</option>
                        
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Problem <span class="text-danger">*</span></label
                        >
                        <select
                          class="form-control"
                          id="vendor_type"
                          name="vendor_type"
                        >
                          <option>Select </option>
                          <option>Toothache</option>
                          <option>Stainted Teeth</option>
                          <option>Dental Cavities</option>
                          <option>Candid Videographer</option>
                          <option>Chipped Tooth</option>
                          <option>Impact Teeth</option>
                          <option>Tooth Sensitivity</option>
                          <option>Tooth Gap</option>
                          <option>Receding Gums</option>
                          <option>Bleeding Gums</option>
                          <option>Bad Breadth</option>
                          <option>Decayed Teeth</option>
                          <option>Dry Mouth</option>
                          <option>Oral Cancer</option>
                          <option>Tooth Erosion</option>
                          <option>Cosmetics</option>
                          <option>Other</option>
                        </select>
                      </div>
                    </div>
                 
               
                 
                    <div class="col-md-12">
                      <div class="row">
                       

                        <div class="col-md-6">
                          <div class="form-group">
                            <label class="col-form-label">Health Status </label>
                            <textarea
                              class="form-control floating"
                              name="remarks"
                              id="remarks"
                            ></textarea>
                          </div>
                        </div>

                        <div class="col-md-6">
                          <div class="form-group">
                            <label class="col-form-label"
                              >Status <span class="text-danger">*</span></label
                            >
                            <select
                              class="form-control"
                              id="status"
                              name="status"
                            >
                              <option>Select Status</option>
                              <option value="1">Active</option>
                              <option value="0">Inactive</option>
                            </select>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="submit-section">
                      <div class="col-md-12 text-right">
                        <!--<button class="btn btn-secondary submit-btn">Close</button>-->
                        <button class="btn btn-danger submit-btn">
                          Submit
                        </button>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add User Modal -->

        <!-- Delete User Modal -->
        <div class="modal custom-modal fade" id="delete_user" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete User</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Delete User Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script>
      $(document).ready(function () {
        $(".special-box-btn").click(function () {
          $(".special").toggle();
        });
      });
    </script>

    <script>
      function deleteRow(row) {
        var x = document.getElementById("GRNTable1");
        var len = x.rows.length;
        var i = row.parentNode.parentNode.rowIndex;
        if (i == len - 1)
          if (i != 1) document.getElementById("GRNTable1").deleteRow(i);
          else alert("Must have one row");
        else alert("Delete last rows first");
      }
      function insRow() {
        var cloneRow = $("#GRNTable1 tr").last().clone();
        cloneRow.find(":input").val("");

        $("#GRNTable1 tr").last().after(cloneRow);
      }
      var vendorData = "";
      var actionType = "addvendors";
      var vendorId = "";
      $(document).ready(function () {
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://thephogoapp.xyz/App/api.php?gofor=vendorslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            vendorData = data;
            $.each(data, function (a, b) {
              table.append(
                "<tr><td>" +
                  b.vendor_id +
                  "</td>" +
                  '<td><a href="vendor-profile.php?vid=' +
                  b.vendor_id +
                  '" class="text-primary">' +
                  b.name +
                  '</a></td>' +
                  "<td>" +
                  b.mobileno +
                  "</td>" +
                  "<td>" +
                  b.company +
                  "</td>" +
                  "<td>" +
                  b.vendor_type +
                  "</td>" +
                  "<td>" +
                  b.email +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-vendor-id="' +
                  b.vendor_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-vendor-id="' +
                  b.vendor_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span><a href="vendor-profile.php?vid=' +
                  b.vendor_id +
                  '" class="text-primary convert_user"><i class="ti-new-window fa-lg m-r-5"></i></a></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(".edit_user").click((e) => {
                  actionType = "editvendors";
                  vendorId =
                    e.target.parentElement.getAttribute("data-vendor-id");
                  var selectedVendorData = vendorData.find(
                    (l) => l.vendor_id === vendorId.toString()
                  );
                  var entries = Object.entries(selectedVendorData);
                  //alert(entries);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "vendor_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);
                    }
                  }
                  $("#add_client").modal("show");
                });

                $(".delete_user").click((e) => {
                  const lId =
                    e.target.parentElement.getAttribute("data-vendor-id");
                  $.ajax({
                    type: "GET",
                    url:
                      "https://thephogoapp.xyz/App/api.php?gofor=vendorsdelete&vendor_id=" +
                      lId,
                    success: function (data) {
                      window.location.reload();
                      setTimeout(() => {
                        $(".toast-header strong").text("Deleted");
                        $(".toast-body").text("Vendor Deleted Successfully");
                        $(".toast").toast("show");
                      }, 1000);
                    },
                  });
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });

        $("#proof").change(function (el) {
          var file = el.target.files[0];
          var reader = new FileReader();
          reader.onloadend = function () {
            const replaceBaseSrc = reader.result.split("base64,")[1];

            var data = {
              gofor: "vendor_proof_post",
              user_id: sessionStorage.getItem("user_id"),
              proof: replaceBaseSrc,
            };
            uploadImage(data);
          };
          reader.readAsDataURL(file);
        });

        function uploadImage(postData) {
          $.ajax({
            type: "POST",
            url: "https://thephogoapp.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              var keyToSave = Object.keys(postData)[2];
              window[keyToSave] = data;
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function addOrders(postData) {
          $.ajax({
            type: "POST",
            url: "https://thephogoapp.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          data.append("proof", window.proof);
          data.append("vendor_details", []);

          var postData = {
            vendor_details: [],
          };

          if (actionType === "editvendors") {
            data.append("vendor_id", vendorId);
          }
          var jsonData = JSON.stringify(Object.fromEntries(data));
        //   alert(jsonData);
          $("#GRNTable1 tbody tr").map(function () {
            var $row = $(this);
            postData.vendor_details.push({
              service: $row.find("td").eq(0).find("input").val(),
              amount: $row.find("td").eq(1).find("input").val(),
            });
          });

          addOrders(postData);

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://thephogoapp.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("Vendor Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>
    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>
	<?php include "common-script.php";?>
  </body>
</html>
