<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <meta name="description" content="Carnival Studios" />
    <meta name="keywords" content="Carnival Studios" />
    <meta name="author" content="Carnival Studios" />
    <meta name="robots" content="noindex, nofollow" />
    <title>Carnival Studios</title>

    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />
  </head>
  <body>
    <div class="main-wrapper">
      <div class="page-wrapper">
        <div class="content container">
          <div class="row">
            <div class="col-md-12">
              <div
                id="reader"
                style="
                  padding: 20px;
                  width: 100%;
                  height: 100vh;
                  margin: 0 auto;
                "
              >
                <video id="qr-video" style="width: 100%"></video>
              </div>
              <div class="alert alert-success mt-4" role="alert"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <script src="assets/js/jquery-3.5.1.min.js"></script>
    <script src="assets/js/app.js"></script>

    <script type="module">
      import QrScanner from "./assets/js/qr-scanner.min.js";

      function setResult(result) {
        scanner.stop();
        var queryString = window.location.search;
        var urlParams = new URLSearchParams(queryString);

        if(urlParams.get('id') == result.data) {
          $.ajax({
            type: "GET",
            url:
              "https://thephogoapp.xyz/App/api.php?gofor=equipchecked&orderequip_id=" +
              result.data,
            success: function (data) {
              $("#reader").remove();
              $(".alert").html(data.status);
              $(".alert").show();
              setTimeout(() => {
                window.location.href =
                  "https://phogoapp.com/Demo/Final/orderequip.php";
              }, 1000);
            },
          });
        } else {
          alert('Invalid ID');
          window.location.reload();
        }
      }

      const video = document.getElementById("qr-video");
      var hasCamera = false;
      const scanner = new QrScanner(
        video,
        (result) => {
          setResult(result);
        },
        {
          highlightScanRegion: true,
          highlightCodeOutline: true,
        }
      );

      QrScanner.hasCamera().then((hasCamera) => {
        scanner.start();
      });
    </script>

    <style>
      #reader {
        padding: 20px;
        width: 100%;
        height: 500px;
        margin: 0 auto;
      }
      .alert {
        display: none;
      }
    </style>
  </body>
</html>
