<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <meta name="description" content="ERP" />
    <meta name="keywords" content="ERP" />
    <meta name="author" content="ERP" />
    <meta name="robots" content="noindex, nofollow" />
    <title>ERP</title>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Shipments</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Shipments</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

         

          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-striped custom-table mb-0">
                  <thead>
                    <tr>
                    <th>#</th>
                    <th>Code</th>
                      <th>Type</th>
                      <th>Branch</th>
                      <th>Customer</th>
                      <th>Shipping Cost</th>
                      <th>Payment Method</th>
                      <th>Paid</th>
                      <th>From Region</th>
                      <th>To Region</th>
                      <th>Shipping Date</th>
                      <th class="text-right">Actions</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                        <td>1</td>
                        <td>AWB00024</td>
                        <td>Dropoff</td>
                        <td>Loc A</td>
                        <td>Arkansas</td>
                        <td>$10.000</td>
                        <td>cash_payment</td>
                        <td>Paid</td>
                        <td>Cairo Governorate</td>
                        <td>Cairo Governorate</td>
                        <td>2023-10-10</td>
                        <td>
                            <span class="text-danger delete_user"><i class="sl-icon-trash fa-lg m-r-5"></i></span>
                            <span class="text-success edit_user" ><i class="sl-icon-note fa-lg m-r-5"></i></span>
                            <span class="text-primary convert_user" ><i class="sl-icon-printer fa-lg m-r-5 print-pdf"></i></span></td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Add Asset Modal -->
        <div id="add_client" class="modal custom-modal fade" role="dialog">
          <div class="modal-dialog modal-md" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Add Shipments</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form id="addForm">
                  <div class="row">
                  <div class="col-md-6">
                      <div class="form-group">
                        <label>Branch</label>
                        <input
                          class="form-control datetimepicker"
                          type="text"
                          name="branch"
                          id="branch"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Collection Time</label>
                        <input
                          class="form-control datetimepicker"
                          type="time"
                          name="time"
                          id="time"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Customer Name</label>
                        <input
                          class="form-control"
                          type="text"
                          name="Customer Name"
                          id="Customer Name"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Customer Number</label>
                        <input
                          class="form-control"
                          type="text"
                          name="Customer Number"
                          id="Customer Number"
                        />
                      </div>
                    </div>
                    <div class="col-md-12">
                      <div class="form-group">
                        <label>Customer Address</label>
                        <input
                          class="form-control"
                          type="text"
                          name="Customer Address"
                          id="Customer Address"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Receiver Name</label>
                        <input
                          class="form-control"
                          type="text"
                          name="Receiver Name"
                          id="Receiver Name"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Receiver Number</label>
                        <input
                          class="form-control"
                          type="text"
                          name="Receiver Number"
                          id="Receiver Number"
                        />
                      </div>
                    </div>
                    <div class="col-md-12">
                      <div class="form-group">
                        <label>Receiver Address</label>
                        <input
                          class="form-control"
                          type="text"
                          name="Receiver Address"
                          id="Receiver Address"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>From Country</label>
                        <input
                          class="form-control"
                          type="text"
                          name="From Country"
                          id="From Country"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>To Country</label>
                        <input
                          class="form-control"
                          type="text"
                          name="To Country"
                          id="To Country"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>From Region</label>
                        <input
                          class="form-control"
                          type="text"
                          name="From Region"
                          id="From Region"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>To Region</label>
                        <input
                          class="form-control"
                          type="text"
                          name="To Region"
                          id="To Region"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>From Area</label>
                        <input
                          class="form-control"
                          type="text"
                          name="From Area"
                          id="From Area"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>To Area</label>
                        <input
                          class="form-control"
                          type="text"
                          name="To Area"
                          id="To Area"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Payment Type</label>
                        <select class="form-control" name="Payment Type" id="Payment Type">
                          <option value="">Choose</option>
                          <option value="brand01">Prepaid</option>
                          <option value="brand02">Postpaid</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Payment Method</label>
                        <select class="form-control" name="Payment Method" id="Payment Method">
                          <option value="">Choose</option>
                          <option value="type01">Invoice Payment</option>
                          <option value="type02">Invoice Payment</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Order ID</label>
                        <input
                          class="form-control"
                          type="text"
                          name="Order ID"
                          id="Order ID"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Total Weight</label>
                        <input
                          class="form-control datetimepicker"
                          type="text"
                          name="Total Weight"
                          id="Total Weight"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Dimensions</label>
                        <input
                          class="form-control datetimepicker"
                          type="text"
                          name="Dimensions"
                          id="Dimensions"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Amount Collected</label>
                        <input
                          class="form-control"
                          type="text"
                          name="Amount Collected"
                          id="Amount Collected"
                        />
                      </div>
                    </div>
                  </div>
                
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-12 col-sm-12">
                          <div class="table-responsive">
                            <table
                              id="GRNTable1"
                              class="table table-hover table-white"
                            >
                              <thead>
                                <tr>
                                  <th class="col-sm-3">Package Type</th>
                                  <th class="col-sm-3">Description</th>
                                  <th class="col-sm-3">Quantity</th>
                                  <th class="col-sm-3">Weight</th>
                                </tr>
                              </thead>
                              <tbody>
                                <tr>
                                  <td>
                                    <input
                                      class="form-control"
                                      type="text"
                                      style="min-width: 100px"
                                      id="col1"
                                    />
                                  </td>

                                  <td>
                                    <input
                                      class="form-control"
                                      type="text"
                                      style="min-width: 100px"
                                      id="col2"
                                    />
                                  </td>
                                  <td>
                                    <input
                                      class="form-control"
                                      type="text"
                                      style="min-width: 100px"
                                      id="col2"
                                    />
                                  </td>
                                  <td>
                                    <input
                                      class="form-control"
                                      type="text"
                                      style="min-width: 90px"
                                      id="col2"
                                    />
                                  </td>

                               
                                </tr>
                              </tbody>
                            </table>
                          </div>
                        </div>



                
                 
               
                
                
                   
                  </div>
               
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Status</label>
                        <select class="form-control" name="status" id="status">
                          <option value="">Choose</option>
                          <option value="1">Active</option>
                          <option value="2">Inactive</option>
                      
                        </select>
                      </div>
                    </div>

                  <div class="submit-section">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add Asset Modal -->

        <!-- Edit Asset Modal -->

        <!-- Edit Asset Modal -->

        <!-- Delete Asset Modal -->

        <!-- /Delete Asset Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- Toast -->
    <div
      class="toast"
      role="alert"
      aria-live="assertive"
      aria-atomic="true"
      data-delay="2000"
      style="position: absolute; top: 5rem; right: 1rem"
    >
      <div>
        <strong class="mr-auto toast-header"></strong>
        <button
          type="button"
          class="ml-2 mb-1 close"
          data-dismiss="toast"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="toast-body"></div>
    </div>
    <!-- /Toast -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>
    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>
    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>
    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <!-- pdfjs -->
    <script src="assets/js/es6-promise.auto.min.js"></script>
    <script src="assets/js/jspdf.umd.min.js"></script>
    <script src="assets/js/html2canvas.js"></script>
    <script src="assets/js/html2pdf.bundle.min.js"></script>
    <!--<script src="assets/js/jspdf.umd.min.js"></script>-->

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
        $(document).ready(function () {
            $('.custom-table').DataTable();
        });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
