<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <meta name="description" content="Carnival Studios" />
    <meta name="keywords" content="Carnival Studios" />
    <meta name="author" content="Carnival Studios" />
    <meta name="robots" content="noindex, nofollow" />
    <title>Carnival Studios</title>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Orders</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Orders</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="card mb-0">
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="profile-view">
                    <div class="profile-img-wrap">
                      <div class="profile-img">
                        <a href="#"
                          ><img alt="" src="assets/img/profiles/avatar-02.jpg"
                        /></a>
                      </div>
                    </div>
                    <div class="profile-basic">
                      <div class="row">
                        <div class="col-md-5">
                          <div class="profile-info-left">
                            <h3 class="user-name m-t-0 mb-0">John Doe</h3>
                            <h6 class="text-muted"></h6>
                            <small class="text-muted">Chennai</small>
                            <div class="staff-id">9874563210</div>
                            <div class="small doj text-muted">
                              example@gmail.com
                            </div>
                            <div class="staff-msg">
                              <a class="btn btn-custom" href="#"
                                >Send Message</a
                              >
                            </div>
                          </div>
                        </div>
                        <div class="col-md-7">
                          <ul class="personal-info">
                            <li>
                              <div class="title">Source:</div>
                              <div class="text">Google</div>
                            </li>
                            <li>
                              <div class="title">Category:</div>
                              <div class="text">Events</div>
                            </li>
                            <li>
                              <div class="title">Event Name:</div>
                              <div class="text">Birthday</div>
                            </li>
                            <li>
                              <div class="title">Event Date:</div>
                              <div class="text">30-10-2023</div>
                            </li>
                            <li>
                              <div class="title">Type:</div>
                              <div class="text">Photography</div>
                            </li>
                            <li>
                              <div class="title">Assign to:</div>
                              <div class="text">assign_name</div>
                            </li>
                          </ul>
                        </div>
                      </div>
                    </div>
                    <div class="pro-edit">
                      <a
                        data-target="#profile_info"
                        data-toggle="modal"
                        class="edit-icon"
                        href="#"
                        ><i class="fa fa-pencil"></i
                      ></a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="card tab-box">
            <div class="row user-tabs">
              <div class="col-lg-12 col-md-12 col-sm-12 line-tabs">
                <ul class="nav nav-tabs nav-tabs-bottom">
                  <li class="nav-item">
                    <a
                      href="#paymentDetails"
                      data-toggle="tab"
                      class="nav-link active"
                      >Payments</a
                    >
                  </li>
                  <li class="nav-item">
                    <a
                      href="#trackingDetails"
                      data-toggle="tab"
                      class="nav-link"
                      >Tracking</a
                    >
                  </li>
                  <li class="nav-item">
                    <a
                      href="#expensesDetails"
                      data-toggle="tab"
                      class="nav-link"
                      >Expenses
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </div>

          <div class="tab-content">
            <!-- Profile Info Tab -->
            <div
              id="paymentDetails"
              class="pro-overview tab-pane fade show active"
            >
              <div class="card">
                <div class="card-body">
                  <div class="col-md-12">
                    <div class="table-responsive">
                      <table class="table table-striped payment-table mb-0">
                        <thead>
                          <tr>
                            <th>Payment Id</th>
                            <th>Date</th>
                            <th>Order Id</th>
                            <th>Total Amount</th>
                            <th>Payment Due</th>
                            <th>Amount Payable</th>
                            <th>PayType</th>
                            <th>Status</th>
                            <th class="text-right">Action</th>
                          </tr>
                        </thead>
                        <tbody></tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Profile Info Tab -->

            <!-- Projects Tab -->
            <div class="tab-pane fade" id="trackingDetails">
              <div class="row">
                <div class="kanban-board card mb-0">
                  <div class="card-body">
                    <div class="kanban-cont"></div>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Projects Tab -->

            <!-- Bank Statutory Tab -->
            <div class="tab-pane fade" id="expensesDetails">
              <div class="card">
                <div class="card-body">
                  <div class="col-md-12">
                    <div class="table-responsive">
                      <table class="table table-striped expense-table mb-0">
                        <thead>
                          <tr>
                            <th>Expense Id</th>
                            <th>Date</th>
                            <th>Order Id</th>
                            <th>Expenses Name</th>
                            <th>Amount</th>
                            <th>Detail</th>
                            <th>To Whom</th>
                            <th>Type</th>
                            <th>Method</th>
                            <th>Status</th>
                            <th class="text-right">Action</th>
                          </tr>
                        </thead>
                        <tbody></tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Bank Statutory Tab -->
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Profile Modal -->

        <!-- /Profile Modal -->

        <!-- Personal Info Modal -->

        <!-- /Personal Info Modal -->

        <!-- Family Info Modal -->

        <!-- /Family Info Modal -->

        <!-- Emergency Contact Modal -->

        <!-- /Emergency Contact Modal -->

        <!-- Education Modal -->

        <!-- /Education Modal -->

        <!-- Experience Modal -->

        <!-- /Experience Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <div id="edit_task_modal" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add/Edit Tasks</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="addUpload">
              <div class="row">
                <div class="col-md-6">
                  <label class="col-form-label">Deadline</label>
                  <input class="form-control" type="date" name="bulk_upload" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Allocated To</label>
                  <select class="form-control" onchange="showDiv(this)">
                    <option value="">Choose</option>
                    <option value="Employee">Employee</option>
                    <option value="Vendor">Vendor</option>
                  </select>
                </div>
                <div class="col-md-12" id="hidden_div1" style="display: none">
                  <label class="col-form-label">Employee Name</label>
                  <input class="form-control" type="text" />
                </div>
                <div class="col-md-12" id="hidden_div2" style="display: none">
                  <label class="col-form-label">Vendor Name</label>
                  <input class="form-control" type="text" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Remarks</label>
                  <input class="form-control" type="text" name="bulk_upload" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Status</label>
                  <select class="form-control">
                    <option value="">Choose</option>
                    <option value="">Pending</option>
                    <option value="">Processing</option>
                    <option value="">Completed</option>
                  </select>
                </div>
                <div class="col-md-12">
                  <div class="submit-section" style="text-align: left">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Lodash -->
    <script src="assets/js/lodash.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script type="text/javascript">
      function showDiv(select) {
        if (select.value == "Employee") {
          document.getElementById("hidden_div1").style.display = "block";
          document.getElementById("hidden_div2").style.display = "none";
        } else {
          document.getElementById("hidden_div1").style.display = "none";
          document.getElementById("hidden_div2").style.display = "block";
        }
      }
    </script>

    <script>
      var orderData = "";
      var actionType = "addorders";
      var orderId = "";
      $(document).ready(function () {
        getPaymentList();
        getExpensesList();
        getTrakingList();
        const uid = sessionStorage.getItem("user_id");
        //alert(uid);

        function getPaymentList() {
          var url_str = $(location).attr("href");
          var url = new URL(url_str);
          var search_params = url.searchParams;
          var order_id = url.searchParams.get("order_id");
          //alert(order_id);
          $.ajax({
            type: "GET",
            url:
              "https://thephogoapp.xyz/App/api.php?gofor=orderpaymentslist&user_id=" +
              sessionStorage.getItem("user_id") +
              "&order_id=" +
              order_id,
            success: function (data) {
              var $paymentDetails = $(".payment-table tbody");
              $.each(data, function (a, b) {
                let spanData = "";
                var PayStatus = b.total_amount - b.amount_paying;
                if (PayStatus == "0") {
                  spanData =
                    '<span class="badge bg-inverse-success">Fully Paid</span>';
                }
                if (PayStatus != "0") {
                  spanData =
                    '<span class="badge bg-inverse-danger">Partially Paid</span>';
                }
                $paymentDetails.append(
                  "<tr><td>" +
                    b.payment_id +
                    "</td>" +
                    "<td>" +
                    b.date +
                    "</td>" +
                    "<td>" +
                    b.order_id +
                    "</td>" +
                    "<td>" +
                    b.total_amount +
                    "</td>" +
                    "<td>" +
                    b.payment_due +
                    "</td>" +
                    "<td>" +
                    b.amount_paying +
                    "</td>" +
                    "<td>" +
                    b.payment_method +
                    "</td>" +
                    "<td>" +
                    spanData +
                    "</td>" +
                    '<td class="text-right"><span class="text-success edit_user" data-order-id="' +
                    b.order_id +
                    '"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
                );
              });
            },
          });
        }

        function getExpensesList() {
          var url_str = $(location).attr("href");
          var url = new URL(url_str);
          var search_params = url.searchParams;
          var order_id = url.searchParams.get("order_id");
          //alert(order_id);
          $.ajax({
            type: "GET",
            url:
              "https://thephogoapp.xyz/App/api.php?gofor=orderexpenseslist&user_id=" +
              sessionStorage.getItem("user_id") +
              "&order_id=" +
              order_id,
            success: function (data) {
              var $paymentDetails = $(".expense-table tbody");
              $.each(data, function (a, b) {
                let spanData = "";

                if (b.status == "0") {
                  spanData =
                    '<span class="badge bg-inverse-success">Inactive</span>';
                }
                if (b.status == "1") {
                  spanData =
                    '<span class="badge bg-inverse-danger">Active</span>';
                }
                $paymentDetails.append(
                  "<tr><td>" +
                    b.expense_id +
                    "</td>" +
                    "<td>" +
                    b.expense_date +
                    "</td>" +
                    "<td>" +
                    b.order_id +
                    "</td>" +
                    "<td>" +
                    b.expense_name +
                    "</td>" +
                    "<td>" +
                    b.expense_amount +
                    "</td>" +
                    "<td>" +
                    b.expense_detail +
                    "</td>" +
                    "<td>" +
                    b.towhom +
                    "</td>" +
                    "<td>" +
                    b.expense_type +
                    "</td>" +
                    "<td>" +
                    b.payment_method +
                    "</td>" +
                    "<td>" +
                    spanData +
                    "</td>" +
                    '<td class="text-right"><span class="text-success edit_user" data-order-id="' +
                    b.order_id +
                    '"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
                );
              });
            },
          });
        }

        function getTrakingList() {
          var url_str = $(location).attr("href");
          var url = new URL(url_str);
          var search_params = url.searchParams;
          var order_id = url.searchParams.get("order_id");
          //alert(order_id);
          $.ajax({
            type: "GET",
            url:
              "https://thephogoapp.xyz/App/api.php?gofor=ordertrackinglist&user_id=" +
              sessionStorage.getItem("user_id") +
              "&order_id=" +
              order_id,
            success: function (data) {
              const grouped = _.groupBy(data, (data) => data.service_name);
              Object.entries(grouped).forEach(([key, value]) => {
                let topContent = `<div class="kanban-list kanban-${value[0].service_color}"><div class="kanban-header"><span class="status-title">${key}</span><div class="dropdown kanban-action"><a href="" data-toggle="dropdown"><i class="fa fa-ellipsis-v"></i></a><div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_board">Edit</a><a class="dropdown-item" href="#">Delete</a></div></div></div><div class="kanban-wrap">`;

                let bottomContent = `<div class="add-new-task"><a href="javascript:void(0);" data-toggle="modal" data-target="#edit_task_modal">Add New Task</a></div>`;

                value.map((content) => {
                  topContent += `<div class="card panel"><div class="kanban-box"><div class="task-board-header"><span class="status-title"><a href="task-view.html">${content.phase}</a></span><div class="dropdown kanban-task-action"><a href="" data-toggle="dropdown"><i class="fa fa-angle-down"></i></a><div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_modal">Edit</a><a class="dropdown-item" href="#">Delete</a></div></div></div><div class="task-board-body"><div class="row"><div class="col-md-12"><p class="small task-name-color-1">${content.remarks}</p></div><div class="col-md-6"><p class="small">Deadline: ${content.due_date}</p></div><div class="col-md-6"><p class="small">Allocated To: ${content.assigned}</p></div></div><div class="kanban-footer"><span class="task-info-cont"><span class="task-priority badge bg-inverse-${(content.status == '1' ? 'danger' : content.status == '2' ? 'warning' : 'success')}">${(content.status == '1' ? 'Todo' : content.status == '2' ? 'WIP' : 'Done')}</span></span><span class="task-users"><a href="#" data-toggle="modal" data-target="#edit_task_modal" class="text-success"><i class="fa fa-pencil fa-lg"></i></a></span></div></div></div></div>`;
                });
                $(".kanban-cont").append(topContent + bottomContent);
              });
            },
          });
        }

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>
  </body>
</html>
