<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <meta name="description" content="Carnival Studios">
		<meta name="keywords" content="Carnival Studios">
        <meta name="author" content="Carnival Studios">
        <meta name="robots" content="noindex, nofollow">
        <title>Carnival Studios</title>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Manage Equipements</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Order-Equipments</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="quick-stats">
									<button class="special-box-btn" data-toggle="dropdown"><i class="ti-download"></i></button>
									<div class="dropdown-menu dropdown-menu-right">
										<a class="dropdown-item" href="#">PDF</a>
										<a class="dropdown-item" href="#">Excel</a>
									</div>
								</div>
								<div class="circle-btn">
									<a href="create-estimate.php"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					
					
					<!-- Search Filter -->
					<div class="row filter-row">
						
						<div class="col-sm-6 col-md-3"> 
							<div class="form-group form-focus select-focus">
								<select class="select floating"> 
									<option>Select Order</option>
									<option>ORD1001</option>
									<option>ORD1002</option>
									<option>ORD1003</option>
								</select>
								<label class="focus-label">Orders</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">  
							<a href="#" class="btn btn-success btn-block"> Search </a>  
						</div>     
                    </div>
					<!-- /Search Filter -->
					
				<div class="row special">
						<div class="col-md-12">
							<div class="card-group special-box m-b-30">
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">Redmagic 4k</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Camera </span>
											</div>
											<div>
												<a href="scanqr.html"><span id="scan-button" class="badge bg-inverse-success">Scan</span></a>
											</div>
										</div>
										
										
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">Wide Lens 50G</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Lens</span>
											</div>
											<div>
												<span class="badge bg-inverse-danger">Out</span>
											</div>
										</div>
										
										
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">LED Light</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Lights</span>
											</div>
											<div>
													<span id="scan-button" class="badge bg-inverse-warning">Verified</span>
											</div>
										</div>
										
										
									</div>
								</div>
							
								
							</div>
						</div>	
					</div>
					 
					 <div id="result-container"></div>
				
				<!-- Delete Estimate Modal -->
				<div class="modal custom-modal fade" id="delete_estimate" role="dialog">
					<div class="modal-dialog modal-dialog-centered">
						<div class="modal-content">
							<div class="modal-body">
								<div class="form-header">
									<h3>Delete Estimate</h3>
									<p>Are you sure want to delete?</p>
								</div>
								<div class="modal-btn delete-action">
									<div class="row">
										<div class="col-6">
											<a href="javascript:void(0);" class="btn btn-primary continue-btn">Delete</a>
										</div>
										<div class="col-6">
											<a href="javascript:void(0);" data-dismiss="modal" class="btn btn-primary cancel-btn">Cancel</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- /Delete Estimate Modal -->
			
            </div>
			<!-- /Page Wrapper -->
			
        </div>
		<!-- /Main Wrapper -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<script src="assets/js/qr-scanner.min.js"></script>
			<script src="assets/js/qr-scanner-worker.min.js"></script>
				<script src="assets/js/types/qr-scanner.d.ts"></script>
        <script src="assets/js/mainqr.js"></script>
		
		<script>
      var estimateData = "";
      var actionType = "addestimates";
      var estimateId = "";
      $(document).ready(function () {
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://thephogoapp.xyz/App/api.php?gofor=estimateslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            estimateData = data;
            $.each(data, function (a, b) {
              let spanData = "";
              if (b.status === "1") {
                spanData =
                  '<span class="badge bg-inverse-primary">Accepted</span>';
              }
              if (b.status === "0") {
                spanData =
                  '<span class="badge bg-inverse-success">Declined</span>';
              }
              

              table.append(
                "<tr><td>" +
                  b.estimate_id +
                  "</td>" +
                  "<td>" +
                  b.name +
                  "</td>" +
                  "<td>" +
                  b.subcategory +
                  "</td>" +
                  "<td>" +
                  b.event_date +
                  "</td>" +                  
                  "<td>" +
                  spanData +
                  "</td>" +                  
                  '<td class="text-right"><span class="text-danger delete_user" data-estimate-id="' +
                  b.estimate_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><a href="create-estimate.php?eid=' +
                  b.estimate_id +
                  '" class="text-success edit_user"><i class="sl-icon-note fa-lg m-r-5"></i></a><span class="text-primary convert_user" data-estimate-id="' +
                  b.estimate_id +
                  '"><i class="ti-new-window fa-lg m-r-5"></i></span></td></tr>'
              );
            });
			
			$('.delete_user').click((e) => {
                    const lId = e.target.parentElement.getAttribute("data-estimate-id");
                    $.ajax({
                        type: "GET",
                        url: "https://thephogoapp.xyz/App/api.php?gofor=deleteestimates&estimate_id="+lId,
                        success: function (data) {
                            window.location.reload();
                            setTimeout(() => {
                                $('.toast-header strong').text('Deleted');
                                $('.toast-body').text('estimate Deleted Successfully');
                                $('.toast').toast('show');
                            }, 1000)
                        },
                    });
                });

            
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
        

        

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>

    </body>
</html>