<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <meta name="description" content="Carnival Studios" />
    <meta name="keywords" content="Carnival Studios" />
    <meta name="author" content="Carnival Studios" />
    <meta name="robots" content="noindex, nofollow" />
    <title>Carnival Studios</title>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />
      <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Orders</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Orders</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="quick-stats">
                  <button class="special-box-btn" data-toggle="dropdown">
                    <i class="ti-download"></i>
                  </button>
                  <div class="dropdown-menu dropdown-menu-right">
                    <a class="dropdown-item" href="#">PDF</a>
                    <a class="dropdown-item" href="#">Excel</a>
                  </div>
                </div>
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="row special">
            <div class="col-md-12">
              <div class="card-group special-box m-b-30">
                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">112</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">70</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-primary1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">100</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">125</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Search Filter -->
          <div class="row filter-row">
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <div class="cal-icon">
                  <input
                    class="form-control floating datetimepicker"
                    type="text"
                  />
                </div>
                <label class="focus-label">From</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <div class="cal-icon">
                  <input
                    class="form-control floating datetimepicker"
                    type="text"
                  />
                </div>
                <label class="focus-label">To</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>Select Status</option>
                  <option>Accepted</option>
                  <option>Declined</option>
                  <option>Expired</option>
                </select>
                <label class="focus-label">Status</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <a href="#" class="btn btn-success btn-block"> Search </a>
            </div>
          </div>
          <!-- /Search Filter -->

          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-striped custom-table mb-0">
                  <thead>
                    <tr>
                      <th>OrdersId</th>
                      <th>Estimate ID</th>
                      <th>Event Name</th>
                      <th>Event Type</th>
                      <th>Event Date</th>
                      <th>Amount</th>
                      <th>Status</th>
                      <th class="text-right">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Delete Estimate Modal -->
        <div class="modal custom-modal fade" id="delete_order" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete Order</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Delete Estimate Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <div id="add_client" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add Orders</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form method="POST" id="addForm">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Estimate No <span class="text-danger">*</span></label
                    >
                    <select class="select floating" name="estimateid">
                      <option>Select Estimate</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Event Name <span class="text-danger">*</span></label
                    >
                    <input class="form-control" type="text" name="eventName" />
                  </div>
                </div>

                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-12 col-sm-12">
                      <div class="table-responsive">
                        <table
                          id="GRNTable1"
                          class="table table-hover table-white"
                        >
                          <thead>
                            <tr>
                              <th class="col-md-5">Services</th>
                              <th class="col-md-5">Specifications</th>
                              <th>Amount</th>
                              <th></th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr>
                              <td>
                                <input
                                  class="form-control"
                                  type="text"
                                  style="min-width: 150px"
                                  id="col1"
                                />
                              </td>
                              <td>
                                <input
                                  class="form-control"
                                  type="text"
                                  style="min-width: 150px"
                                  id="col2"
                                />
                              </td>
                              <td>
                                <input
                                  class="form-control amount"
                                  style="width: 100px"
                                  type="text"
                                  id="col3"
                                />
                              </td>

                              <td style="padding-top: 20px">
                                <a
                                  href="javascript:void(0)"
                                  class="text-success font-18"
                                  title="Add"
                                  onclick="insRow()"
                                  ><i class="fa fa-plus"></i></a
                                >&nbsp;&nbsp;<a
                                  href="javascript:void(0)"
                                  class="text-danger font-18"
                                  title="Remove"
                                  onclick="deleteRow(this)"
                                  ><i class="fa fa-trash-o"></i
                                ></a>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div class="table-responsive">
                        <table class="table table-hover table-white">
                          <tbody>
                            <tr>
                              <td></td>
                              <td></td>
                              <td></td>
                              <td></td>
                              <td class="text-right">Total</td>
                              <td
                                style="
                                  text-align: right;
                                  padding-right: 30px;
                                  width: 230px;
                                "
                              >
                                <input
                                  class="form-control text-right"
                                  readonly
                                  type="text"
                                  id="total"
                                />
                              </td>
                            </tr>
                            <tr>
                              <td colspan="5" class="text-right">Discount %</td>
                              <td
                                style="
                                  text-align: right;
                                  padding-right: 30px;
                                  width: 230px;
                                "
                              >
                                <input
                                  class="form-control text-right"
                                  type="text"
                                  id="discount"
                                />
                              </td>
                            </tr>
                            <tr>
                              <td
                                colspan="5"
                                style="text-align: right; font-weight: bold"
                              >
                                Grand Total
                              </td>
                              <td
                                style="
                                  text-align: right;
                                  padding-right: 30px;
                                  font-weight: bold;
                                  font-size: 16px;
                                  width: 230px;
                                "
                              >
                                <input
                                  class="form-control text-right"
                                  readonly
                                  type="text"
                                  id="grandtotal"
                                />
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>

                      <div class="col-md-12">
                        <div class="form-group">
                          <label>Notes</label>
                          <textarea
                            class="form-control"
                            rows="4"
                            name="notes"
                          ></textarea>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="submit-section">
                <button class="btn btn-primary submit-btn">Submit</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/select2.min.js"></script>

    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>
    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
	  function deleteRow(row)
	  {
		var x=document.getElementById('GRNTable1');
		var len = x.rows.length ;
		var i=row.parentNode.parentNode.rowIndex;
		if (i==(len-1))
		  if(i!=1)
			document.getElementById('GRNTable1').deleteRow(i);
		  else
			alert ("Must have one row");
		else
		  alert ("Delete last rows first");
	  }
      function insRow() {
        var cloneRow = $("#GRNTable1 tr").last().clone();
        cloneRow.find(":input").val("");

        $("#GRNTable1 tr").last().after(cloneRow);
      }
	  
	  var orderData = "";
      var actionType = "addorders";
      var orderId = "";
      $(document).ready(function () {
		  
		const uid = sessionStorage.getItem("user_id");
		var table = $(".custom-table tbody");
		
        populateEstimateId();
		
		
		$.ajax({
          type: "GET",
          url:
            "https://thephogoapp.xyz/App/api.php?gofor=orderslist&user_id="+
            uid,
          success: function (data) {
            table.empty();
			orderData = data;
			$.each(data, function (a, b) {
				let spanData = "";
				if (b.status === "1") {
					spanData =
						'<span class="badge bg-inverse-success">Active</span>';
				}
				if (b.status === "0") {
					spanData =
						'<span class="badge bg-inverse-danger">Inactive</span>';
				}
			  table.append(
				'<tr><td>' +
				  b.order_id +
				  '</td>' +
				  '<td>' +
				  b.estimate_id +
				  '</td>' +
				  '<td><a href="order-detail.php?order_id=' +
                  b.order_id +
                  '" class="text-primary">' +
				  b.ordevent_name +
				  '</a></td>' +
				  '<td>' +
				  b.amount_payable +
				  '</td>' +
				  '<td>' +
				  b.discount +
				  '</td>' +
				  '<td>' +
				  b.final_amount +
				  '</td>' +
				  '<td>' +
				  spanData +
				  '</td>' +					  
				  '<td class="text-right"><span class="text-danger delete_order" data-order-id="' +
                  b.order_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-order-id="' +
                  b.order_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span><a href="order-detail.php?order_id=' +
                  b.order_id +
                  '" class="text-primary convert_user"><i class="ti-new-window fa-lg m-r-5"></i></a></td></tr>'
			  );
			});
			
			
			
			//   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
              
            });
            
            $('.delete_order').click((e) => {
                    const lId = e.target.parentElement.getAttribute("data-order-id");
                    $.ajax({
                        type: "GET",
                        url: "https://thephogoapp.xyz/App/api.php?gofor=ordersdelete&order_id="+lId,
                        success: function (data) {
                            window.location.reload();
                            setTimeout(() => {
                                showNotification('Deleted Successfully')
                            }, 2000)
                        },
                    });
                });


             
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
		
        
        $(document).on('change', '.amount', function() {
            var total = 0;
            var grandTotal = 0;
            var discount = 0;
            $('#GRNTable1 tbody tr').map(function() {
				var $row = $(this);
				total += Number($row.find('td').eq(2).find('input').val());
			})
			
            var val = total - (total * discount);
            
			$('#total').val(total);
			$('#grandtotal').val(val);
        });

		$('#addForm').submit(function(e) {
			e.preventDefault();
			var postData = {
				gofor: "addorders",
				user_id: "1",
				estimate_id: $('[name="estimateid"]').val(),
				ordevent_name: $('[name="eventName"]').val(),
				amount_payable: $("#total").val(),
				discount: $("#discount").val(),
				final_amount: $("#grandtotal").val(),
				notes: $('[name="notes"]').val(),
				status: "1",
				order_details: [],
			};

			$('#GRNTable1 tbody tr').map(function() {
				var $row = $(this);
				postData.order_details.push({
				service: $row.find('td').eq(0).find('input').val(),
				specifications: $row.find('td').eq(1).find('input').val(),
				amount: $row.find('td').eq(2).find('input').val(),
				});
			})
			addOrders(postData);
		})

        function addOrders(postData) {
          $.ajax({
            type: "POST",
            url: "https://thephogoapp.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function populateEstimateId() {
          $.ajax({
            type: "GET",
            url:
              "https://thephogoapp.xyz/App/api.php?gofor=estimateslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $('[name="estimateid"]');
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.estimate_id +
                    "'>" +
                    this.estimate_id +
                    "</option>"
                );
              });
            },
            error: function (e) {
              console.log(e);
            },
          });
        }
      });
    </script>
  </body>
</html>
